<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Skills](./bitburner.skills.md)

## Skills interface


**Signature:**

```typescript
interface Skills 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[agility](./bitburner.skills.agility.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[charisma](./bitburner.skills.charisma.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[defense](./bitburner.skills.defense.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[dexterity](./bitburner.skills.dexterity.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[hacking](./bitburner.skills.hacking.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[intelligence](./bitburner.skills.intelligence.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[strength](./bitburner.skills.strength.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
</tbody></table>

